Subject: bug#466: 23.0.60; windmove.el doesnt not always switch windows in ERC

From: "Keegan Carruthers-Smith" <[email-masked]>
Date: Sat, 9 Aug 2008 12:39:51 +0200

Hey,
 I don't have window-move.el, it's defined in windmove.el
 Also, when i was debugging i had the ERC buffer running in the bottom
left corner.

When I run debug on windmove-find-other-window it doesnt give me any
output, but does take me to line 468 in windmove.el. The line is
(let* ((actual-current-window (or window (selected-window))) in the
function windmove-find-other-window

If i do the debug on windmove-right, nothing happens

I may be doing something wrong because I have never debugged lisp code
before, so could be doing it totally wrong. I am a programmer though
in C++, haskell, python and java though, so I do understand the
concepts behind debugging lisp. I'll read the info pages on edebug
sometime so I can maybe investigate the problem as well.

On Sat, Aug 9, 2008 at 11:47 AM, martin rudalics <[email-masked]> wrote:
>> Hey,
>> I ran edebug-eval-expression on (windmove-left) and got
>> call-interactively: Symbol's value as variable is void:
>> edebug-outside-windows
>>
>> Hope this helps
>
> Not really.  Please try the following.  In a one-window frame do
>
> C-x 2 C-x o C-x 3
>
> that is your frame should appear as follows:
>
>  -----
> |     |
> |-----|
> |  |  |
>  -----
>
> In the lower right window display the ERC buffer, in the lower left
> window the buffer you want to move to.  Next display window-move.el in
> the top window, move point to the definition of
> `windmove-find-other-window' and type C-u C-M-x to "instrument that
> function for debugging".
>
> Finally, go to the ERC window, and call `window-left'.  edebug should
> now redirect focus to the upper window and you can type SPACE to step
> through `windmove-find-other-window'.  If possible, do the same for a
> non-ERC buffer in the lower right window too to tell where executions
> differ.
>
> Thanks, martin
>